import 'package:flutter/material.dart';
import 'package:hub/app_state.dart';
import 'package:hub/flutter_flow/internationalization.dart';
import 'package:share_plus/share_plus.dart';

class ReceptionPageModel with ChangeNotifier {
  void getIdenfifier(BuildContext context) {
    notifyListeners();
    Share.share(
      FFLocalizations.of(context).getVariableText(
        ptText:
            'Este é o meu identificador de acesso: ${AppState().userDevUUID}',
        enText: 'This is my access identifier: ${AppState().userDevUUID}',
      ),
    );
  }
}
